• Welcome to Simple Machines Community Forum. Please login or sign up.
December 06, 2021, 12:24:02 AM

News:

SMF 2.1 RC4 has been released! Try it out and help us test! :) Read more.


FAQ: Wie bereite ich mich auf den Upgrade von YaBB SE auf SMF vor?

Started by andrea, March 05, 2004, 10:07:01 AM

Previous topic - Next topic

andrea

Installiere zuerst ein lauffähiges YaBB SE damit, lies dazu obigen FAQ (Link im 1. Post).

Andrea Hubacher
Ex Lead Support Specialist
www.simplemachines.org

Personal Signature:
Most recent work:
10 Aqua Themes for SMF



iggitus

Quote from: andrea on March 05, 2004, 10:07:01 AM


  • 2. Kein Upgrade ohne vorgängige Totalsicherung Falls Du Dein Forum noch nie gesichert hast, dann wird es Zeit, jetzt mit dem Üben zu beginnen. Falls notwendig, lies z.B. diesen FAQ hier zur Datensicherung: http://www.yabbse.org/community/index.php?thread=6454. Vor dem Upgrade ist aber nicht nur eine Datensicherung, sondern eine Totalsicherung notwendig (am besten das ganze Verzeichnis, in welches das YaBB SE Forum installiert ist, inklusive Settings, Template, Attachments, Sourcen.
  • 3. Upgrade planen Der Upgrade besteht aus mehreren Schritten. Nicht nur die neuen Sourcen müssen installiert und Daten upgraded werden. Auch das Template muss neu angepasst werden. Falls Du Glück hast und keine Mods installiert hast, wird in Deinem Forum alles vollautomatisch perfekt durch das Upgradescript richtig durchgeführt. Falls nicht, dann geht die Arbeit erst richtig los. Also zerschiesse nicht ein aktiv laufendes Forum, sondern mache falls möglich vorgängig eine Test-Installation. So kannst Du (und auch wir) ohne Stress arbeiten.
  • 4. Weiteres? Habe ich noch etwas vergessen? Feedback ist erwünscht...
totalsicherung habich gemacht
nur wie bau ich eine mit yabbse downgeloadete MYSQL struktur wieder in ein anderes yabbse/smf ein?

warrior

Quote from: Master-of-Disaster on March 07, 2004, 08:31:28 AM
Quote from: andrea on March 05, 2004, 10:07:01 AM


  • 2. Kein Upgrade ohne vorgängige Totalsicherung Falls Du Dein Forum noch nie gesichert hast, dann wird es Zeit, jetzt mit dem Üben zu beginnen. Falls notwendig, lies z.B. diesen FAQ hier zur Datensicherung: http://www.yabbse.org/community/index.php?thread=6454. Vor dem Upgrade ist aber nicht nur eine Datensicherung, sondern eine Totalsicherung notwendig (am besten das ganze Verzeichnis, in welches das YaBB SE Forum installiert ist, inklusive Settings, Template, Attachments, Sourcen.
  • 3. Upgrade planen Der Upgrade besteht aus mehreren Schritten. Nicht nur die neuen Sourcen müssen installiert und Daten upgraded werden. Auch das Template muss neu angepasst werden. Falls Du Glück hast und keine Mods installiert hast, wird in Deinem Forum alles vollautomatisch perfekt durch das Upgradescript richtig durchgeführt. Falls nicht, dann geht die Arbeit erst richtig los. Also zerschiesse nicht ein aktiv laufendes Forum, sondern mache falls möglich vorgängig eine Test-Installation. So kannst Du (und auch wir) ohne Stress arbeiten.
  • 4. Weiteres? Habe ich noch etwas vergessen? Feedback ist erwünscht...
totalsicherung habich gemacht
nur wie bau ich eine mit yabbse downgeloadete MYSQL struktur wieder in ein anderes yabbse/smf ein?

geht auch über phpmyadmin.. wenn du die *.sql datei hast, kannst du bei phpmyadmin doch einfach wieder auf die datei verweisen, er läd die datei hoch und bindet es als dateien wieder ein... soviel zum thema YaBB -> YaBB...

bei SMF wird ein konverter dabei sein, wie der funktioniert werden wir wohl bis ende des monats noch erfahren, da bis zum 31.03 wohl die public beta von smf da sein wird ;) vorher wirds dir auch wohl keiner sagen ;)

iggitus

SAKRAHITTEN NOCHMA!!!!!
so ich hab jezz die struktur und die inhalte downgeoladet und ein SMF und ein Yabbse auf meinerm server
aber WO kann ich das jezz mit phpmyadmin für das SMF hochladen
ich werd aus diesem link da nämlich net schlau

Daniel D.

Klicke im linken Fenster auf den Namen Deiner Datenbank und danach im rechten auf "SQL". Dort kannst Du dann zu der Datei "browsen" und er schreibt die Tabellen rein, welche in ihr stehen.

iggitus

und schwupps sind die dinger in mienm yabse aber netr in meinem SMF

iggitus

würde es mir den was bringen wenn ich dann anstelle von dem yabbse_lfdksohn
da smf_dlgn schreiben würde?

mironicus

Ich hab beim Updaten eine Fehlermeldung erhalten:

Während er die Polls konvertiert, bekomme ich folgende Meldung:

Converting polls and settings... Unsuccessful!
This query:

    INSERT INTO yabbse_poll_choices
    (ID_POLL, ID_CHOICE, label, votes)
    VALUES (

Daten entfernt

Caused the error:

    Duplicate entry '2-0' for key 1

iggitus


mironicus

Ne, beim installieren mit upgrade.php. Die ersten Installationsstufen sind erfolgreich, dann aber erfolgt dann bei mir halt diese Fehlermeldung und ich kann nur "Try Again" klicken, wobei ich dann aber immer die gleiche Fehlermeldung erhalte.

iggitus

ich bin noch am hochladen,
das muss doch in den yabbse ordner oder?

KIKA

Jepp, und es bleibt ne Menge Müll übrig. Was kann ich nach dem upgrade alles raus schmeißen?
Ich kann nix dafür
Nur weil du paranoid bist, heißt das noch lange nicht, das sie nicht hinter dir her sind...

Cheffu

kann irgendjemand mal eine Liste der MySQL dateien posten die man braucht? Ich hab noch eine Menge MySQL Daten von Mods die ich damals eingebaut hatte un weis nun nichtmehr was ich alles bracuh und was nicht. Das selbe wär wie kika schon gesagt hat für alle anderen ordner auch mal gut. YabbSE Images braucht man z.b. garnicht mehr oder?

KIKA

Wenn du das Template vom alten YaBBSE übernimmst, brauchst du die YabbSe images noch, weil die in diesem template noch benutzt werden.
Ich kann nix dafür
Nur weil du paranoid bist, heißt das noch lange nicht, das sie nicht hinter dir her sind...

iggitus

also bei mir werden die nuen benutzt aber ich hab die alten zur sicherheit auch noch aufm server

Horseman

wie wichtig es ist ein update sorgfältig zu planen und nach möglichkeit auch wie beschrieben zu testen könnt ihr nachfolgend mal nachlesen
step 1) alle dateien aus dem upgrade download über das alte yabbse 1.5.5 übertragen
step 2) allen gemeldeten dateien und dem themes ordner die rechte 777 gegeben
step 3) ein häckchen gesetzt das mein template konvertiert werden soll
step 4) ein mutiger klick auf weiter ;)
step 5) ergebniss:

Setting the default language to English... Successful.

Updating Settings.php with changes... Successful.

Creating new tables and inserting default data... Successful.

Converting activity logs... Successful.

Converting Boards and Categories... Successful.

Converting attachments, topics, and messages... Successful.

Converting members and personal messages... Successful.

Converting the calendar, notifications, and miscellaneous... Successful.

Converting polls and settings... Successful.


Notice: Undefined offset: 1 in /home/www/web4/html/forum/Sources/Themes.php on line 988

Notice: Undefined offset: 1 in /home/www/web4/html/forum/Sources/Themes.php on line 1018

Notice: Undefined offset: 0 in /home/www/web4/html/forum/Sources/Themes.php on line 1025

Notice: Undefined offset: 2 in /home/www/web4/html/forum/Sources/Themes.php on line 1025

Warning: fwrite(): supplied argument is not a valid File-Handle resource in /home/www/web4/html/forum/Sources/Themes.php on line 963

Warning: fclose(): supplied argument is not a valid File-Handle resource in /home/www/web4/html/forum/Sources/Themes.php on line 964

Warning: SAFE MODE Restriction in effect. The script whose uid is 643 is not allowed to access /home/www/web4/html/forum/Themes/converted owned by uid 30 in /home/www/web4/html/forum/upgrade.php on line 2844

Warning: SAFE MODE Restriction in effect. The script whose uid is 643 is not allowed to access /home/www/web4/html/forum/Themes/converted owned by uid 30 in /home/www/web4/html/forum/upgrade.php on line 2844

Warning: SAFE MODE Restriction in effect. The script whose uid is 643 is not allowed to access /home/www/web4/html/forum/Themes/converted owned by uid 30 in /home/www/web4/html/forum/upgrade.php on line 2844

Warning: SAFE MODE Restriction in effect. The script whose uid is 643 is not allowed to access /home/www/web4/html/forum/Themes/converted owned by uid 30 in /home/www/web4/html/forum/upgrade.php on line 2844

Warning: SAFE MODE Restriction in effect. The script whose uid is 643 is not allowed to access /home/www/web4/html/forum/Themes/converted owned by uid 30 in /home/www/web4/html/forum/upgrade.php on line 2844

Warning: SAFE MODE Restriction in effect. The script whose uid is 643 is not allowed to access /home/www/web4/html/forum/Themes/converted owned by uid 30 in /home/www/web4/html/forum/upgrade.php on line 2844

Warning: SAFE MODE Restriction in effect. The script whose uid is 643 is not allowed to access /home/www/web4/html/forum/Themes/converted owned by uid 30 in /home/www/web4/html/forum/upgrade.php on line 2844

Warning: SAFE MODE Restriction in effect. The script whose uid is 643 is not allowed to access /home/www/web4/html/forum/Themes/converted owned by uid 30 in /home/www/web4/html/forum/upgrade.php on line 2844


schadenfreude lohnt nicht, das war natürlich nicht mein laufendes forum sondern ich habe auf meinem rootserver einfach mal ein web eingerichtet wie es von vielen providern angeboten wird z.B. mit SAFE MODE ON. und dort das ganze nur mal simuliert.
ergebniss wäre aber nun ein nicht mehr lauffähiges forum welches beim starten mit solchen fehlermeldungen erfret:

Notice: Undefined index: lang_character_set in /home/www/web4/html/forum/Sources/Load.php on line 791
Notice: Undefined offset: 62 in /home/www/web4/html/forum/Sources/BoardIndex.php on line 141
Notice: Undefined offset: 62 in /home/www/web4/html/forum/Sources/BoardIndex.php on line 143
Notice: Undefined offset: 470 in /home/www/web4/html/forum/Sources/BoardIndex.php on line 180
Notice: Undefined offset: 470 in /home/www/web4/html/forum/Sources/BoardIndex.php on line 184
Notice: Undefined offset: 470 in /home/www/web4/html/forum/Sources/BoardIndex.php on line 187
Notice: Undefined offset: 470 in /home/www/web4/html/forum/Sources/BoardIndex.php on line 202
---schnipp ---
Gruß Horseman
______________________________________________________

PhpOpenChat Support Portal: http://www.phpopenchat.de

Lachsy

ich habe mal ne frage zu xampp, welche datein von Yabbse 1.5.5 , welches ich von dem server schon gesichert habe (auch die sql-datenbank) muss ich ändern um es auf xampp zum laufen zu bekommen? wollte damit das update auf SMF Probieren. Ich weis ist bestimmt ne newbie frage, aber hoffe mir kann jemand antworten.

allen ein schönes wochenende

mfg lachsy

andrea

Quote from: Lachsy on April 03, 2004, 01:41:30 PM
ich habe mal ne frage zu xampp, welche datein von Yabbse 1.5.5 , welches ich von dem server schon gesichert habe (auch die sql-datenbank) muss ich ändern um es auf xampp zum laufen zu bekommen?

Geändert werden muss:
- Settings.php

Dann sollte das Forum bereits zugreifbar sein, im Admin Menü muss dann aber noch in den "Einstellungen zu den installierten Mods" kontrolliert werden, ob Pfade auf den alten Server zeigen. Alternativ kannst Du auch mit phpMyAdmin in der Tabelle "yabbse_settings" kontrollieren ob dort falsche Pfade sind.

Andrea Hubacher
Ex Lead Support Specialist
www.simplemachines.org

Personal Signature:
Most recent work:
10 Aqua Themes for SMF



Lachsy

danke andrea, werde mich mal an die arbeit begeben  ;D

mfg Lachsy

Roman

hallo andrea,
wenn du mal wieder zeit über hast, könntest du die backup anleitung aktualisieren?

mein hoster verwendet schon phpMyAdmin 2.5.3-rc3 zum beispiel

und da sind viele neue schaltflächen und mögliche fehlerquellen hinzugekommen


danke dir

roman  :)

Advertisement: